$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.26-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.23.26-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'CCA9EBCF202EF56C35FACFC026E632F9B7821DBFA5F33698F77B43B9C1E26C52'
  checksumType = 'sha256'
  checksum64 = 'CCA9EBCF202EF56C35FACFC026E632F9B7821DBFA5F33698F77B43B9C1E26C52'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.23.26-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
